<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Callback from the CAS server</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Callback from the CAS server<br/>
<small>
[<a class="el" href="group__internal_proxy.html">CAS Proxy features (CAS 2.0, Proxy Granting Tickets)</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga32355da8dec2de8de0b8bd3a29f8b041">CASClient::setCallbackMode</a> ($callback_mode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gac5e4db434f458b4ec1c591d475ddef53">CASClient::isCallbackMode</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga09ffc75739bdcb7dff15c16faafd07c9">CASClient::getCallbackURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga78b8045da0dd166fae54f9850c8934de">CASClient::setCallbackURL</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gad97c1a5034db62dae9ac03062539b1cc">CASClient::callback</a> ()</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#gae5f9e206e91e344b3b916e7b3d8cfdf4">CASClient::$_callback_mode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html#ga5aec2b53fa9780b162c609c40cd93069">CASClient::$_callback_url</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gad97c1a5034db62dae9ac03062539b1cc"></a><!-- doxytag: member="CASClient::callback" ref="gad97c1a5034db62dae9ac03062539b1cc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::callback </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is called by <a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient()</a> when running in callback mode. It stores the PGT and its PGT Iou, prints its output and halts. </p>

</div>
</div>
<a class="anchor" id="ga09ffc75739bdcb7dff15c16faafd07c9"></a><!-- doxytag: member="CASClient::getCallbackURL" ref="ga09ffc75739bdcb7dff15c16faafd07c9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getCallbackURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the URL that should be used for the PGT callback (in fact the URL of the current request without any CGI parameter, except if <a class="el" href="group__public_auth.html#ga971d20eb2bd2f44f9f2c7726ddc1cc7c">phpCAS::setFixedCallbackURL()</a> was used).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The callback URL </dd></dl>

</div>
</div>
<a class="anchor" id="gac5e4db434f458b4ec1c591d475ddef53"></a><!-- doxytag: member="CASClient::isCallbackMode" ref="gac5e4db434f458b4ec1c591d475ddef53" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isCallbackMode </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns TRUE when the CAs client is running i callback mode, FALSE otherwise.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A boolean. </dd></dl>

</div>
</div>
<a class="anchor" id="ga32355da8dec2de8de0b8bd3a29f8b041"></a><!-- doxytag: member="CASClient::setCallbackMode" ref="ga32355da8dec2de8de0b8bd3a29f8b041" args="($callback_mode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setCallbackMode </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>callback_mode</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets/unsets callback mode.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$callback_mode</em>&nbsp;</td><td>TRUE to set callback mode, FALSE otherwise. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga78b8045da0dd166fae54f9850c8934de"></a><!-- doxytag: member="CASClient::setCallbackURL" ref="ga78b8045da0dd166fae54f9850c8934de" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setCallbackURL </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method sets the callback url.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$callback_url</em>&nbsp;</td><td>url to set callback </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gae5f9e206e91e344b3b916e7b3d8cfdf4"></a><!-- doxytag: member="CASClient::$_callback_mode" ref="gae5f9e206e91e344b3b916e7b3d8cfdf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_callback_mode<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>each PHP script using <a class="el" href="classphp_c_a_s.html">phpCAS</a> in proxy mode is its own callback to get the PGT back from the CAS server. callback_mode is detected by the constructor thanks to the GET parameters. a boolean to know if the CAS client is running in callback mode. Written by CASClient::setCallBackMode(), read by <a class="el" href="group__internal_callback.html#gac5e4db434f458b4ec1c591d475ddef53">CASClient::isCallbackMode()</a>. </p>

</div>
</div>
<a class="anchor" id="ga5aec2b53fa9780b162c609c40cd93069"></a><!-- doxytag: member="CASClient::$_callback_url" ref="ga5aec2b53fa9780b162c609c40cd93069" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_callback_url<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the URL that should be used for the PGT callback (in fact the URL of the current request without any CGI parameter). Written and read by <a class="el" href="group__internal_callback.html#ga09ffc75739bdcb7dff15c16faafd07c9">CASClient::getCallbackURL()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
